Get component detail. - Gable Docs

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

GET /v0/experimental/components/{id}

Try it

Get component detail.

cURL

curl --request GET \
  --url https://demo-api.gable.ai/v0/experimental/components/{id} \
  --header 'X-API-KEY: <api-key>'

Python

import requests

url = "https://demo-api.gable.ai/v0/experimental/components/{id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript

const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://demo-api.gable.ai/v0/experimental/components/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://demo-api.gable.ai/v0/experimental/components/{id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-KEY: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {

url := "https://demo-api.gable.ai/v0/experimental/components/{id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-KEY", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Java

HttpResponse<String> response = Unirest.get("https://demo-api.gable.ai/v0/experimental/components/{id}")
  .header("X-API-KEY", "<api-key>")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://demo-api.gable.ai/v0/experimental/components/{id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'

response = http.request(request)
puts response.read_body

Response Codes

200

404

500

Response Structure

{
  "component": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "namespace": "<string>",
    "friendly_name": "<string>",
    "paths": [
      {
        "ingress": {
          "signature_name": "<string>",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "kind": "<string>",
          "schema": {},
          "payload_name": "<string>",
          "description": "<string>"
        },
        "egress": {
          "signature_name": "<string>",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "kind": "<string>",
          "schema": {},
          "payload_name": "<string>",
          "description": "<string>"
        },
        "path_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "is_suppressed": false,
        "field_mappings": [
          {
            "ingress_field": "<string>",
            "egress_field": "<string>",
            "notes": "<string>"
          }
        ],
        "code_anchors": [
          {
            "anchor_id": "<string>",
            "name": "<string>",
            "file": "<string>",
            "line_start": 123,
            "line_end": 123,
            "column_start": 123,
            "column_end": 123,
            "url": "<string>"
          }
        ],
        "transformation_summary": "<string>",
        "payload_name": "<string>",
        "completeness": {}
      }
    ],
    "schema": {
      "fields": [
        {
          "name": "<string>",
          "type": "<string>"
        }
      ]
    },
    "metadata": {}
  }
}
{
  "message": "<string>",
  "id": 123,
  "title": "<string>"
}
{
  "message": "<string>",
  "id": 123,
  "title": "<string>"
}

Authorizations

X-API-KEY

Path Parameters

id

Query Parameters

mode

namespace

Response

200